Name: avrdude
Version: 5.11.1
Release: %mkrel 3
Summary: Software for programming Atmel AVR Microcontroller
Group: Development/Tools
License: GPLv2+
URL: http://www.nongnu.org/avrdude
Source0: http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires: 		flex
BuildRequires: 		bison
BuildRequires: 		readline-devel
BuildRequires: 		ncurses-devel
BuildRequires: 		libusb-devel
BuildRequires: 		texi2html
BuildRequires: 		texinfo-tex
BuildRequires: 		tetex-dvips
BuildRequires: 		tetex-latex
Requires(post): 	info-install
Requires(preun): 	info-install

%description
AVRDUDE is a program for programming Atmel's AVR CPU's. It can program
the Flash and EEPROM, and where supported by the serial programming
protocol, it can program fuse and lock bits. AVRDUDE also supplies a
direct instruction mode allowing one to issue any programming
instruction to the AVR chip regardless of whether AVRDUDE implements
that specific feature of a particular chip.

%prep
%setup -q
sed -i 's|/usr/local/etc/avrdude.conf|%{_sysconfdir}/%{name}/avrdude.conf|g' doc/avrdude.texi avrdude.1
sed -i 's|/etc/avrdude.conf|%{_sysconfdir}/%{name}/avrdude.conf|g' doc/avrdude.texi avrdude.1
iconv -f ISO88591 -t UTF8 < ChangeLog-2003 > ChangeLog-2003~
mv ChangeLog-2003~ ChangeLog-2003
iconv -f ISO88591 -t UTF8 < NEWS > NEWS~
mv NEWS~ NEWS

%build
%configure --enable-doc --sysconfdir=%{_sysconfdir}/%{name}
# Parallel build is broken as by 5.5
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}/%{_docdir}/%{name}-%{version} installed-docs
rm -f %{buildroot}%{_infodir}/dir

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc README AUTHORS ChangeLog* COPYING NEWS doc/TODO installed-docs/*
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 5.11.1-3.mga3
+ Revision: 346708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 5.11.1-2.mga3
+ Revision: 302670
- BuildRequires texinfo-tex
- update RPM group

* Tue Jan 10 2012 dmorgan <dmorgan> 5.11.1-1.mga2
+ Revision: 194617
- Fix requires

  + mcb30 <mcb30>
    - Upgrade to version 5.11.1
    - Remove pre-Mageia cruft from specfile
    - imported package avrdude

